Reecall
Reecall API

automation_mapper


List all

GET
https://newprd.reecall.io/data_next
/automation/mappers/

List all › query Parameters

where
​string

JSON-encoded filter object

limit
​integer · min: 1

Max number of records to return

page
​integer · min: 1

Page number (1-based)

orderBy
​string

JSON-encoded sort definition

select
​string

Optional list of fields to select

search
​string · maxLength: 200

PostgreSQL regex pattern (~*) to search in configured fields

List all › Responses

Successful operation

inputFormat
​string · enum · required
Enum values:
json
csv
xlsx
projectId
​string · required
organizationId
​string · required
id
​string
name
​string
description
​string
inputOptions
​object
columns
​string[]
outputSchema
​object
​object
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Create one

POST
https://newprd.reecall.io/data_next
/automation/mappers/

Create one › Request Body

inputFormat
​string · enum · required
Enum values:
json
csv
xlsx
projectId
​string · required
organizationId
​string · required
name
​string
description
​string
inputOptions
​object
columns
​string[]
outputSchema
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Create one › Responses

Successful operation

inputFormat
​string · enum · required
Enum values:
json
csv
xlsx
projectId
​string · required
organizationId
​string · required
id
​string
name
​string
description
​string
inputOptions
​object
columns
​string[]
outputSchema
​object
​object
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Count all

GET
https://newprd.reecall.io/data_next
/automation/mappers/count

Count all › Responses

Successful operation

inputFormat
​string · enum · required
Enum values:
json
csv
xlsx
projectId
​string · required
organizationId
​string · required
id
​string
name
​string
description
​string
inputOptions
​object
columns
​string[]
outputSchema
​object
​object
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Retrieve one

GET
https://newprd.reecall.io/data_next
/automation/mappers/{id}

Retrieve one › path Parameters

id
​string · required

Retrieve one › query Parameters

select
​string

Optional list of fields to select

Retrieve one › Responses

Successful operation

inputFormat
​string · enum · required
Enum values:
json
csv
xlsx
projectId
​string · required
organizationId
​string · required
id
​string
name
​string
description
​string
inputOptions
​object
columns
​string[]
outputSchema
​object
​object
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Delete one

DELETE
https://newprd.reecall.io/data_next
/automation/mappers/{id}

Delete one › path Parameters

id
​string · required

Delete one › Responses

Successful operation

inputFormat
​string · enum · required
Enum values:
json
csv
xlsx
projectId
​string · required
organizationId
​string · required
id
​string
name
​string
description
​string
inputOptions
​object
columns
​string[]
outputSchema
​object
​object
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Update one

PATCH
https://newprd.reecall.io/data_next
/automation/mappers/{id}

Update one › path Parameters

id
​string · required

Update one › Request Body

inputFormat
​string · enum · required
Enum values:
json
csv
xlsx
projectId
​string · required
organizationId
​string · required
name
​string
description
​string
inputOptions
​object
columns
​string[]
outputSchema
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Update one › Responses

Successful operation

inputFormat
​string · enum · required
Enum values:
json
csv
xlsx
projectId
​string · required
organizationId
​string · required
id
​string
name
​string
description
​string
inputOptions
​object
columns
​string[]
outputSchema
​object
​object
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Run this mapper against an uploaded source file

POST
https://newprd.reecall.io/data_next
/automation/mappers/{id}/run

Run this mapper against an uploaded source file › path Parameters

id
​string · required

Run this mapper against an uploaded source file › Request Body

sourceFileKey
​string · minLength: 1 · required
name
​string | null
dryRun
​boolean
allowPartial
​boolean
fingerprint
​string | null
​object[]

Run this mapper against an uploaded source file › Responses

Dry-run report (dryRun: true)

dryRun
​boolean
fingerprint
​string
rowCount
​integer
failedCount
​integer
​object[]
​object[]

Upload a source file for this mapper

POST
https://newprd.reecall.io/data_next
/automation/mappers/{id}/source

Upload a source file for this mapper › path Parameters

id
​string · required

Upload a source file for this mapper › Request Body

file
​string · required

Upload a source file for this mapper › Responses

Successful operation

sourceFileKey
​string
sourceFileName
​string
sourceFileSize
​integer
​object